HttpReadSettings Class
Sftp read settings.
All required parameters must be populated in order to send to Azure.
- Inheritance
-
azure.mgmt.datafactory.models._models_py3.StoreReadSettingsHttpReadSettings
Constructor
HttpReadSettings(*, additional_properties: Optional[Dict[str, Any]] = None, max_concurrent_connections: Optional[Any] = None, disable_metrics_collection: Optional[Any] = None, request_method: Optional[Any] = None, request_body: Optional[Any] = None, additional_headers: Optional[Any] = None, request_timeout: Optional[Any] = None, enable_partition_discovery: Optional[bool] = None, partition_root_path: Optional[Any] = None, **kwargs)
Variables
Unmatched properties from the message are deserialized to this collection.
- type
- str
Required. The read setting type.Constant filled by server.
- max_concurrent_connections
- any
The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).
- disable_metrics_collection
- any
If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).
- request_method
- any
The HTTP method used to call the RESTful API. The default is GET. Type: string (or Expression with resultType string).
- request_body
- any
The HTTP request body to the RESTful API if requestMethod is POST. Type: string (or Expression with resultType string).
- additional_headers
- any
The additional HTTP headers in the request to the RESTful API. Type: string (or Expression with resultType string).
- request_timeout
- any
Specifies the timeout for a HTTP client to get HTTP response from HTTP server.
- enable_partition_discovery
- bool
Indicates whether to enable partition discovery.
- partition_root_path
- any
Specify the root path where partition discovery starts from. Type: string (or Expression with resultType string).
Feedback
Submit and view feedback for